Skip to main content
GET
/
wires
/
incoming
List incoming wires
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/wires/incoming \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/wires/incoming"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/wires/incoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "wires": [
    {
      "amount": 10000,
      "creation_time": "2010-05-06T12:23:34.321Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_return": true,
      "receiver": {
        "account_number": 192178512,
        "address": {
          "address_line_1": "321 Main St",
          "address_line_2": "Apt 34",
          "city": "Chicago",
          "country_code": "US",
          "postal_code": "60622",
          "state": "IL"
        },
        "address_lines": {
          "address_line_1": "<string>",
          "address_line_2": "<string>",
          "address_line_3": "<string>"
        },
        "alternate_identifier": 123456789,
        "bank_name": "Synctera Bank",
        "identifier_type": "Demand Deposit Account Number",
        "name": "John Smith",
        "routing_number": 272479663
      },
      "receiving_account_number": 1961234745,
      "sender": {
        "account_number": 192178512,
        "address": {
          "address_line_1": "321 Main St",
          "address_line_2": "Apt 34",
          "city": "Chicago",
          "country_code": "US",
          "postal_code": "60622",
          "state": "IL"
        },
        "address_lines": {
          "address_line_1": "<string>",
          "address_line_2": "<string>",
          "address_line_3": "<string>"
        },
        "alternate_identifier": 123456789,
        "bank_name": "Synctera Bank",
        "identifier_type": "Demand Deposit Account Number",
        "name": "John Smith",
        "routing_number": 272479663
      },
      "sender_reference_id": "9F564A6124E65",
      "status": "READY",
      "tenant": "abcdef_ghijkl",
      "bank_message": "<string>",
      "currency": "USD",
      "customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "decline_reason": "<string>",
      "effective_date": "2022-03-18",
      "end_to_end_identification": "<string>",
      "extracted_account_number": "1961234745",
      "input_message_accountability_data": "10220318BANK0001123456",
      "instruction_identification": "<string>",
      "network": "fedwire",
      "originating_account_number": 1961234745,
      "receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
      "recipient_message": "<string>",
      "return_data": {
        "previous_message_id": "<string>",
        "original_end_to_end_identification": "<string>",
        "original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "original_instruction_identification": "<string>",
        "original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "original_transaction_identification": "<string>",
        "original_uetr": "<string>",
        "reason": "<string>",
        "reason_code": "NARR"
      },
      "return_reason": "<string>",
      "settlement_date": "2022-03-18",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_identification": "<string>",
      "type_subtype": "BASIC_FUNDS_TRANSFER",
      "uetr": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

to_date
string<date>

Only display transactions with an effective date less than or equal to to_date

from_date
string<date>

Only display transactions with an effective date greater than from_date

status
enum<string>

Optional query parameter that can be use to filter the list of returned wires by transfer status

Available options:
BLOCKED,
POSTED,
READY
Example:

"READY"

imad
string

Optional query parameter to filter incoming wires by IMAD (Input Message Accountability Data)

Example:

"20250715B6B7HU2R012486"

omad
string

Optional query parameter to filter incoming wires by OMAD (Output Message Accountability Data)

Example:

"20250715MMQFMP2300021707151048FT03"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

id
string<uuid>[]

Unique resource identifier

uetr
string<uuid>

Optional query parameter to filter incoming wires by UETR (Unique End-to-End Transaction Reference)

Example:

"5be434c4-f2c2-4f1f-8900-09c5c9d4e2d3"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

List of incoming wires

wires
Incoming Wire · object[]
required

Array of incoming wires

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"